graph [

  description "\
   <!-- ****************** CONTENTS ************************** -->			\
											\
     This document contains one of two graphs provided for				\
     the 2003 Graph Drawing Contest.							\
											\
     It consists of a biological network representing the transcriptional
     regulation of Escherichia coli, i.e. nodes represent operons and
     transcription factors, and (directed) edges represent interactions.
     Note that there are loops (autoregulation).
											\
     There is a string-valued node attribute (operon name)
     and an integer edge attribute (regulation type).
											\
     Particularly interesting about this network is the frequent
     occurrence of small subgraphs, so-called motifs, described in
											\
       Network motifs
       in the transcriptional regulation network of Escherichia coli
       S S SHEN-ORR, R MILO, S MANGAN and U ALON, Nature Genetics 31(1):64-68
											\
     How can a visualization highlight such motifs using graph drawing methods?
											\
     Data courtesy of Uri Alon, The Weizmann Institute, Israel.
											\
   <!-- *************** ADDITIONAL ATTRIBUTES ********************** -->
											\
    node:										\
	name:										\
		name									\
	values:										\
		STRING = Name of operon							\
    egde:										\
	name:										\
		type									\
	values: 									\
		1 = activator								\
		2 = repressor								\
		2 = dual								\
											\
  "

  node [ id 1 name "aceBAK" ]
  node [ id 2 name "acnA" ]
  node [ id 3 name "acrAB" ]
  node [ id 4 name "acrR" ]
  node [ id 5 name "acs" ]
  node [ id 6 name "ada_alkB" ]
  node [ id 7 name "adhE" ]
  node [ id 8 name "adiA" ]
  node [ id 9 name "adiA_adiY" ]
  node [ id 10 name "ahpCF" ]
  node [ id 11 name "aidB" ]
  node [ id 12 name "alaWX" ]
  node [ id 13 name "aldB" ]
  node [ id 14 name "alkA" ]
  node [ id 15 name "alpA" ]
  node [ id 16 name "ansB" ]
  node [ id 17 name "appCBA" ]
  node [ id 18 name "appY" ]
  node [ id 19 name "araBAD" ]
  node [ id 20 name "araC" ]
  node [ id 21 name "araE" ]
  node [ id 22 name "araFG_araH_1H_2" ]
  node [ id 23 name "araJ" ]
  node [ id 24 name "arcA" ]
  node [ id 25 name "argCBH" ]
  node [ id 26 name "argD" ]
  node [ id 27 name "argE" ]
  node [ id 28 name "argF" ]
  node [ id 29 name "argI" ]
  node [ id 30 name "argR" ]
  node [ id 31 name "argU" ]
  node [ id 32 name "argW" ]
  node [ id 33 name "argX_hisR_leuT_proM" ]
  node [ id 34 name "aroF_tyrA" ]
  node [ id 35 name "aroG" ]
  node [ id 36 name "aroH" ]
  node [ id 37 name "aroL_yaiA_aroM" ]
  node [ id 38 name "aroP" ]
  node [ id 39 name "arsEFG" ]
  node [ id 40 name "arsR" ]
  node [ id 41 name "aslB" ]
  node [ id 42 name "asnA" ]
  node [ id 43 name "asnC" ]
  node [ id 44 name "aspA" ]
  node [ id 45 name "aspV" ]
  node [ id 46 name "atoC" ]
  node [ id 47 name "atoDAB" ]
  node [ id 48 name "atoDAE" ]
  node [ id 49 name "betIBA" ]
  node [ id 50 name "betT" ]
  node [ id 51 name "bioA" ]
  node [ id 52 name "bioBFCD" ]
  node [ id 53 name "birA_murA" ]
  node [ id 54 name "cadBA" ]
  node [ id 55 name "cadC" ]
  node [ id 56 name "caiF" ]
  node [ id 57 name "caiTABCDE" ]
  node [ id 58 name "carAB" ]
  node [ id 59 name "cbl" ]
  node [ id 60 name "cirA" ]
  node [ id 61 name "clpP" ]
  node [ id 62 name "codBA" ]
  node [ id 63 name "cpdB" ]
  node [ id 64 name "cpxAR" ]
  node [ id 65 name "cpxP" ]
  node [ id 66 name "crp" ]
  node [ id 67 name "csgBA" ]
  node [ id 68 name "csgDEFG" ]
  node [ id 69 name "cspA" ]
  node [ id 70 name "cutC" ]
  node [ id 71 name "cvpA_purF_ubiX" ]
  node [ id 72 name "cyaA" ]
  node [ id 73 name "cydAB" ]
  node [ id 74 name "cynR" ]
  node [ id 75 name "cynTSX" ]
  node [ id 76 name "cyoABCDE" ]
  node [ id 77 name "cysB" ]
  node [ id 78 name "cysDNC" ]
  node [ id 79 name "cysJIH" ]
  node [ id 80 name "cysK" ]
  node [ id 81 name "cysPUWAM" ]
  node [ id 82 name "cytR" ]
  node [ id 83 name "dadAX" ]
  node [ id 84 name "dapA_nlpB_purA" ]
  node [ id 85 name "dctA" ]
  node [ id 86 name "dcuB_fumB" ]
  node [ id 87 name "deoCABD" ]
  node [ id 88 name "deoR" ]
  node [ id 89 name "dmsABC" ]
  node [ id 90 name "dnaA" ]
  node [ id 91 name "dnaKJ" ]
  node [ id 92 name "dps" ]
  node [ id 93 name "dsbA" ]
  node [ id 94 name "dsdC" ]
  node [ id 95 name "dsdXA" ]
  node [ id 96 name "ebgAC" ]
  node [ id 97 name "ebgR" ]
  node [ id 98 name "ecfABC" ]
  node [ id 99 name "ecfD" ]
  node [ id 100 name "ecfF" ]
  node [ id 101 name "ecfG" ]
  node [ id 102 name "ecfH" ]
  node [ id 103 name "ecfI" ]
  node [ id 104 name "ecfJ" ]
  node [ id 105 name "ecfK" ]
  node [ id 106 name "ecfLM" ]
  node [ id 107 name "ecpD_htrE" ]
  node [ id 108 name "edd_eda" ]
  node [ id 109 name "emrRAB" ]
  node [ id 110 name "entCEBA" ]
  node [ id 111 name "envY_ompT" ]
  node [ id 112 name "epd_pgk" ]
  node [ id 113 name "evgA" ]
  node [ id 114 name "exuR" ]
  node [ id 115 name "exuT" ]
  node [ id 116 name "fabA" ]
  node [ id 117 name "fadBA" ]
  node [ id 118 name "fadL" ]
  node [ id 119 name "fadR" ]
  node [ id 120 name "fdhF" ]
  node [ id 121 name "fdnGHI" ]
  node [ id 122 name "fecABCDE" ]
  node [ id 123 name "fecIR" ]
  node [ id 124 name "fepA_entD" ]
  node [ id 125 name "fepB" ]
  node [ id 126 name "fepDGC" ]
  node [ id 127 name "fhlA" ]
  node [ id 128 name "fhuACDB" ]
  node [ id 129 name "fixABCX" ]
  node [ id 130 name "fkpA" ]
  node [ id 131 name "flgAMN" ]
  node [ id 132 name "flgBCDEFGHIJK" ]
  node [ id 133 name "flgKL" ]
  node [ id 134 name "flgMN" ]
  node [ id 135 name "flhBAE" ]
  node [ id 136 name "flhDC" ]
  node [ id 137 name "fliAZY" ]
  node [ id 138 name "fliC" ]
  node [ id 139 name "fliDST" ]
  node [ id 140 name "fliE" ]
  node [ id 141 name "fliFGHIJK" ]
  node [ id 142 name "fliLMNOPQR" ]
  node [ id 143 name "fnr" ]
  node [ id 144 name "focA_pflB" ]
  node [ id 145 name "fpr" ]
  node [ id 146 name "frdABCD" ]
  node [ id 147 name "fruBKA" ]
  node [ id 148 name "FruR" ]
  node [ id 149 name "ftsQAZ" ]
  node [ id 150 name "fucAO" ]
  node [ id 151 name "fucPIKUR" ]
  node [ id 152 name "fumA" ]
  node [ id 153 name "fumC" ]
  node [ id 154 name "fur" ]
  node [ id 155 name "galETKM" ]
  node [ id 156 name "GalR" ]
  node [ id 157 name "galS" ]
  node [ id 158 name "gatR_1" ]
  node [ id 159 name "gatYZABCDR_2" ]
  node [ id 160 name "gcvA" ]
  node [ id 161 name "gcvR" ]
  node [ id 162 name "gcvTHP" ]
  node [ id 163 name "gdhA" ]
  node [ id 164 name "glcC" ]
  node [ id 165 name "glcDEFGB" ]
  node [ id 166 name "glgCAP" ]
  node [ id 167 name "glgS" ]
  node [ id 168 name "glmUS" ]
  node [ id 169 name "glnALG" ]
  node [ id 170 name "glnB" ]
  node [ id 171 name "glnHPQ" ]
  node [ id 172 name "glpACB" ]
  node [ id 173 name "glpD" ]
  node [ id 174 name "glpFK" ]
  node [ id 175 name "glpR" ]
  node [ id 176 name "glpTQ" ]
  node [ id 177 name "gltA" ]
  node [ id 178 name "gltBDF" ]
  node [ id 179 name "glyA" ]
  node [ id 180 name "gntKU" ]
  node [ id 181 name "gntR" ]
  node [ id 182 name "gntT" ]
  node [ id 183 name "gorA" ]
  node [ id 184 name "grpE" ]
  node [ id 185 name "guaBA" ]
  node [ id 186 name "gyrA" ]
  node [ id 187 name "hcaA1A2CBD_yphA" ]
  node [ id 188 name "hcaR" ]
  node [ id 189 name "hflB" ]
  node [ id 190 name "himA" ]
  node [ id 191 name "himD" ]
  node [ id 192 name "hipBA" ]
  node [ id 193 name "hns" ]
  node [ id 194 name "htpG" ]
  node [ id 195 name "htpY" ]
  node [ id 196 name "htrA" ]
  node [ id 197 name "hycABCDEFGH" ]
  node [ id 198 name "hydHG" ]
  node [ id 199 name "hypA" ]
  node [ id 200 name "hypABCDE" ]
  node [ id 201 name "ibpAB" ]
  node [ id 202 name "icdA" ]
  node [ id 203 name "iclMR" ]
  node [ id 204 name "idnDOTR" ]
  node [ id 205 name "ilvC" ]
  node [ id 206 name "ilvIH" ]
  node [ id 207 name "ilvY" ]
  node [ id 208 name "inaA" ]
  node [ id 209 name "ivbL_ilvBN" ]
  node [ id 210 name "katG" ]
  node [ id 211 name "kbl_tdh" ]
  node [ id 212 name "kdpABC" ]
  node [ id 213 name "kdpDE" ]
  node [ id 214 name "ksgA_epaG_epaH" ]
  node [ id 215 name "lacI" ]
  node [ id 216 name "lacZYA" ]
  node [ id 217 name "lctPRD" ]
  node [ id 218 name "leuLABCD" ]
  node [ id 219 name "leuO" ]
  node [ id 220 name "leuQPV" ]
  node [ id 221 name "leuX" ]
  node [ id 222 name "lexA_dinF" ]
  node [ id 223 name "livJ" ]
  node [ id 224 name "livKHMGF" ]
  node [ id 225 name "lon" ]
  node [ id 226 name "lpxDA_fabZ" ]
  node [ id 227 name "lrp" ]
  node [ id 228 name "lysA" ]
  node [ id 229 name "lysR" ]
  node [ id 230 name "lysT_valT_lysW" ]
  node [ id 231 name "lysU" ]
  node [ id 232 name "malEFG" ]
  node [ id 233 name "malI" ]
  node [ id 234 name "malK_lamB_malM" ]
  node [ id 235 name "malPQ" ]
  node [ id 236 name "malS" ]
  node [ id 237 name "malT" ]
  node [ id 238 name "malXY" ]
  node [ id 239 name "malZ" ]
  node [ id 240 name "manXYZ" ]
  node [ id 241 name "marRAB" ]
  node [ id 242 name "mdh" ]
  node [ id 243 name "mdlA" ]
  node [ id 244 name "mdoGH" ]
  node [ id 245 name "melAB" ]
  node [ id 246 name "melR" ]
  node [ id 247 name "metA" ]
  node [ id 248 name "metC" ]
  node [ id 249 name "metF" ]
  node [ id 250 name "metH" ]
  node [ id 251 name "metJ" ]
  node [ id 252 name "metR" ]
  node [ id 253 name "metT_leuW_glnUW_metU_glnVX" ]
  node [ id 254 name "metY_yhbC_nusA_infB" ]
  node [ id 255 name "mglBAC" ]
  node [ id 256 name "mhpABCDFE" ]
  node [ id 257 name "mhpR" ]
  node [ id 258 name "mlc" ]
  node [ id 259 name "moaABCDE" ]
  node [ id 260 name "modABC" ]
  node [ id 261 name "modE" ]
  node [ id 262 name "mopA" ]
  node [ id 263 name "mopB" ]
  node [ id 264 name "motABcheAW" ]
  node [ id 265 name "mtlADR" ]
  node [ id 266 name "mtr" ]
  node [ id 267 name "nac" ]
  node [ id 268 name "nadB" ]
  node [ id 269 name "nadR" ]
  node [ id 270 name "nagBACD" ]
  node [ id 271 name "nagE" ]
  node [ id 272 name "narGHJI" ]
  node [ id 273 name "narK" ]
  node [ id 274 name "narL" ]
  node [ id 275 name "narZYWV" ]
  node [ id 276 name "ndh" ]
  node [ id 277 name "nfo" ]
  node [ id 278 name "nhaA" ]
  node [ id 279 name "nhaR" ]
  node [ id 280 name "nirBDC_cysG" ]
  node [ id 281 name "nlpB_purA" ]
  node [ id 282 name "nlpD_rpoS" ]
  node [ id 283 name "nrdAB" ]
  node [ id 284 name "nrfABCDEFG" ]
  node [ id 285 name "nuoABCEFGHIJKLMN" ]
  node [ id 286 name "nupC" ]
  node [ id 287 name "nupG" ]
  node [ id 288 name "nycA" ]
  node [ id 289 name "ompA" ]
  node [ id 290 name "ompC" ]
  node [ id 291 name "ompF" ]
  node [ id 292 name "ompR_envZ" ]
  node [ id 293 name "oppABCDF" ]
  node [ id 294 name "osmC" ]
  node [ id 295 name "osmE" ]
  node [ id 296 name "osmY" ]
  node [ id 297 name "ostA_surA_pdxA" ]
  node [ id 298 name "oxyR" ]
  node [ id 299 name "pdhR_aceEF_lpdA" ]
  node [ id 300 name "pheU" ]
  node [ id 301 name "pheV" ]
  node [ id 302 name "phnCDE_f73_phnFGHIJKLMNOP" ]
  node [ id 303 name "phoA" ]
  node [ id 304 name "phoBR" ]
  node [ id 305 name "phoE" ]
  node [ id 306 name "pncB" ]
  node [ id 307 name "polB" ]
  node [ id 308 name "ppiA" ]
  node [ id 309 name "ppsA" ]
  node [ id 310 name "proK" ]
  node [ id 311 name "proL" ]
  node [ id 312 name "proP" ]
  node [ id 313 name "prsA" ]
  node [ id 314 name "pspABCDE" ]
  node [ id 315 name "pspF" ]
  node [ id 316 name "pstSCAB_phoU" ]
  node [ id 317 name "ptsG" ]
  node [ id 318 name "ptsHI_crr" ]
  node [ id 319 name "purC" ]
  node [ id 320 name "purEK" ]
  node [ id 321 name "purHD" ]
  node [ id 322 name "purL" ]
  node [ id 323 name "purMN" ]
  node [ id 324 name "purR" ]
  node [ id 325 name "putAP" ]
  node [ id 326 name "pykF" ]
  node [ id 327 name "pyrC" ]
  node [ id 328 name "pyrD" ]
  node [ id 329 name "rbsDACBK" ]
  node [ id 330 name "rbsR" ]
  node [ id 331 name "rcsA" ]
  node [ id 332 name "rcsAB" ]
  node [ id 333 name "recA" ]
  node [ id 334 name "recN" ]
  node [ id 335 name "rfaDFCL" ]
  node [ id 336 name "rhaBAD" ]
  node [ id 337 name "rhaSR" ]
  node [ id 338 name "rhaT" ]
  node [ id 339 name "rob" ]
  node [ id 340 name "rotA" ]
  node [ id 341 name "rpiB" ]
  node [ id 342 name "rpiR_alsBACEK" ]
  node [ id 343 name "rpoD" ]
  node [ id 344 name "rpoE_rseABC" ]
  node [ id 345 name "rpoH" ]
  node [ id 346 name "rpoN" ]
  node [ id 347 name "rpsU_dnaG_rpoD" ]
  node [ id 348 name "rtcAB" ]
  node [ id 349 name "rtcR" ]
  node [ id 350 name "sdaA" ]
  node [ id 351 name "sdhCDAB_b0725_sucABCD" ]
  node [ id 352 name "serA" ]
  node [ id 353 name "serT" ]
  node [ id 354 name "serX" ]
  node [ id 355 name "skp_lpxDA_fabZ" ]
  node [ id 356 name "slp" ]
  node [ id 357 name "sodA" ]
  node [ id 358 name "soxR" ]
  node [ id 359 name "soxS" ]
  node [ id 360 name "speA" ]
  node [ id 361 name "speC" ]
  node [ id 362 name "srlAEBD_gutM_srlR_gutQ" ]
  node [ id 363 name "ssb" ]
  node [ id 364 name "ssuEADCB" ]
  node [ id 365 name "stpA" ]
  node [ id 366 name "sulA" ]
  node [ id 367 name "tarTapcheRBYZ" ]
  node [ id 368 name "tauABCD" ]
  node [ id 369 name "tdcABCDEFG" ]
  node [ id 370 name "tdcAR" ]
  node [ id 371 name "thrU_tyrU_glyT_thrT" ]
  node [ id 372 name "thrW" ]
  node [ id 373 name "tnaLAB" ]
  node [ id 374 name "tonB" ]
  node [ id 375 name "torCAD" ]
  node [ id 376 name "torR" ]
  node [ id 377 name "treBC" ]
  node [ id 378 name "treR" ]
  node [ id 379 name "trpLEDCBA" ]
  node [ id 380 name "trpR" ]
  node [ id 381 name "tsr" ]
  node [ id 382 name "tsx" ]
  node [ id 383 name "tyrB" ]
  node [ id 384 name "tyrP" ]
  node [ id 385 name "tyrR" ]
  node [ id 386 name "tyrTV" ]
  node [ id 387 name "ubiG" ]
  node [ id 388 name "udp" ]
  node [ id 389 name "uhpA" ]
  node [ id 390 name "uhpT" ]
  node [ id 391 name "uidR" ]
  node [ id 392 name "uidRABC" ]
  node [ id 393 name "umuDC" ]
  node [ id 394 name "uppS_cdsA_ecfE" ]
  node [ id 395 name "uspA" ]
  node [ id 396 name "uvrA" ]
  node [ id 397 name "uvrB" ]
  node [ id 398 name "uvrC" ]
  node [ id 399 name "uvrD" ]
  node [ id 400 name "uxaCA" ]
  node [ id 401 name "uxuABR" ]
  node [ id 402 name "valUXY_lysV" ]
  node [ id 403 name "wza_wzb_b2060_wcaA_wcaB" ]
  node [ id 404 name "xapAB" ]
  node [ id 405 name "xapR" ]
  node [ id 406 name "xprB_dsbC_recJ" ]
  node [ id 407 name "xylAB" ]
  node [ id 408 name "xylFGHR" ]
  node [ id 409 name "ybaO" ]
  node [ id 410 name "ybiS" ]
  node [ id 411 name "ycfC_purB" ]
  node [ id 412 name "yfhD" ]
  node [ id 413 name "yhdG_fis" ]
  node [ id 414 name "yhfA" ]
  node [ id 415 name "yiaJ" ]
  node [ id 416 name "yiaKLMNOPQRS" ]
  node [ id 417 name "yjbK" ]
  node [ id 418 name "yjdHG" ]
  node [ id 419 name "zntA" ]
  node [ id 420 name "zntR" ]
  node [ id 421 name "znuABC" ]
  node [ id 422 name "zraP" ]
  node [ id 423 name "zwf" ]
  edge [ source 3 target 4 type 2 ]
  edge [ source 6 target 6 type 3 ]
  edge [ source 11 target 6 type 1 ]
  edge [ source 14 target 6 type 1 ]
  edge [ source 8 target 9 type 1 ]
  edge [ source 356 target 15 type 1 ]
  edge [ source 17 target 18 type 1 ]
  edge [ source 19 target 20 type 3 ]
  edge [ source 20 target 20 type 2 ]
  edge [ source 21 target 20 type 3 ]
  edge [ source 22 target 20 type 3 ]
  edge [ source 23 target 20 type 1 ]
  edge [ source 1 target 24 type 2 ]
  edge [ source 17 target 24 type 1 ]
  edge [ source 18 target 24 type 1 ]
  edge [ source 49 target 24 type 2 ]
  edge [ source 73 target 24 type 1 ]
  edge [ source 76 target 24 type 2 ]
  edge [ source 85 target 24 type 2 ]
  edge [ source 117 target 24 type 2 ]
  edge [ source 144 target 24 type 1 ]
  edge [ source 152 target 24 type 2 ]
  edge [ source 153 target 24 type 2 ]
  edge [ source 165 target 24 type 2 ]
  edge [ source 172 target 24 type 2 ]
  edge [ source 177 target 24 type 2 ]
  edge [ source 202 target 24 type 2 ]
  edge [ source 217 target 24 type 2 ]
  edge [ source 242 target 24 type 2 ]
  edge [ source 285 target 24 type 2 ]
  edge [ source 351 target 24 type 2 ]
  edge [ source 357 target 24 type 2 ]
  edge [ source 25 target 30 type 2 ]
  edge [ source 26 target 30 type 2 ]
  edge [ source 27 target 30 type 2 ]
  edge [ source 28 target 30 type 2 ]
  edge [ source 29 target 30 type 2 ]
  edge [ source 30 target 30 type 2 ]
  edge [ source 58 target 30 type 2 ]
  edge [ source 39 target 40 type 2 ]
  edge [ source 42 target 43 type 1 ]
  edge [ source 43 target 43 type 2 ]
  edge [ source 47 target 46 type 1 ]
  edge [ source 48 target 46 type 1 ]
  edge [ source 49 target 49 type 2 ]
  edge [ source 50 target 49 type 2 ]
  edge [ source 51 target 53 type 2 ]
  edge [ source 52 target 53 type 2 ]
  edge [ source 54 target 55 type 1 ]
  edge [ source 57 target 56 type 1 ]
  edge [ source 129 target 56 type 1 ]
  edge [ source 364 target 59 type 1 ]
  edge [ source 368 target 59 type 1 ]
  edge [ source 64 target 64 type 1 ]
  edge [ source 65 target 64 type 1 ]
  edge [ source 93 target 64 type 1 ]
  edge [ source 103 target 64 type 1 ]
  edge [ source 196 target 64 type 1 ]
  edge [ source 264 target 64 type 2 ]
  edge [ source 340 target 64 type 1 ]
  edge [ source 355 target 64 type 1 ]
  edge [ source 381 target 64 type 2 ]
  edge [ source 406 target 64 type 1 ]
  edge [ source 5 target 66 type 1 ]
  edge [ source 13 target 66 type 1 ]
  edge [ source 16 target 66 type 1 ]
  edge [ source 19 target 66 type 1 ]
  edge [ source 20 target 66 type 1 ]
  edge [ source 21 target 66 type 1 ]
  edge [ source 22 target 66 type 1 ]
  edge [ source 23 target 66 type 1 ]
  edge [ source 56 target 66 type 1 ]
  edge [ source 57 target 66 type 1 ]
  edge [ source 60 target 66 type 1 ]
  edge [ source 63 target 66 type 1 ]
  edge [ source 66 target 66 type 3 ]
  edge [ source 72 target 66 type 2 ]
  edge [ source 83 target 66 type 1 ]
  edge [ source 85 target 66 type 2 ]
  edge [ source 86 target 66 type 2 ]
  edge [ source 87 target 66 type 3 ]
  edge [ source 95 target 66 type 1 ]
  edge [ source 96 target 66 type 1 ]
  edge [ source 112 target 66 type 1 ]
  edge [ source 118 target 66 type 2 ]
  edge [ source 129 target 66 type 1 ]
  edge [ source 136 target 66 type 1 ]
  edge [ source 144 target 66 type 1 ]
  edge [ source 150 target 66 type 1 ]
  edge [ source 151 target 66 type 1 ]
  edge [ source 154 target 66 type 1 ]
  edge [ source 155 target 66 type 3 ]
  edge [ source 157 target 66 type 1 ]
  edge [ source 166 target 66 type 1 ]
  edge [ source 167 target 66 type 1 ]
  edge [ source 169 target 66 type 1 ]
  edge [ source 172 target 66 type 1 ]
  edge [ source 173 target 66 type 1 ]
  edge [ source 174 target 66 type 1 ]
  edge [ source 176 target 66 type 1 ]
  edge [ source 177 target 66 type 1 ]
  edge [ source 180 target 66 type 1 ]
  edge [ source 182 target 66 type 1 ]
  edge [ source 209 target 66 type 1 ]
  edge [ source 216 target 66 type 1 ]
  edge [ source 232 target 66 type 1 ]
  edge [ source 233 target 66 type 2 ]
  edge [ source 234 target 66 type 1 ]
  edge [ source 236 target 66 type 1 ]
  edge [ source 237 target 66 type 1 ]
  edge [ source 238 target 66 type 3 ]
  edge [ source 240 target 66 type 1 ]
  edge [ source 245 target 66 type 1 ]
  edge [ source 246 target 66 type 1 ]
  edge [ source 255 target 66 type 1 ]
  edge [ source 270 target 66 type 1 ]
  edge [ source 271 target 66 type 1 ]
  edge [ source 287 target 66 type 3 ]
  edge [ source 289 target 66 type 2 ]
  edge [ source 308 target 66 type 3 ]
  edge [ source 312 target 66 type 3 ]
  edge [ source 318 target 66 type 3 ]
  edge [ source 336 target 66 type 3 ]
  edge [ source 338 target 66 type 1 ]
  edge [ source 345 target 66 type 3 ]
  edge [ source 351 target 66 type 1 ]
  edge [ source 361 target 66 type 2 ]
  edge [ source 362 target 66 type 1 ]
  edge [ source 369 target 66 type 1 ]
  edge [ source 373 target 66 type 1 ]
  edge [ source 382 target 66 type 3 ]
  edge [ source 387 target 66 type 1 ]
  edge [ source 388 target 66 type 1 ]
  edge [ source 390 target 66 type 1 ]
  edge [ source 414 target 66 type 3 ]
  edge [ source 416 target 66 type 1 ]
  edge [ source 67 target 68 type 1 ]
  edge [ source 68 target 68 type 1 ]
  edge [ source 186 target 69 type 1 ]
  edge [ source 193 target 69 type 1 ]
  edge [ source 74 target 74 type 2 ]
  edge [ source 75 target 74 type 1 ]
  edge [ source 77 target 77 type 2 ]
  edge [ source 78 target 77 type 1 ]
  edge [ source 79 target 77 type 1 ]
  edge [ source 80 target 77 type 1 ]
  edge [ source 81 target 77 type 1 ]
  edge [ source 368 target 77 type 1 ]
  edge [ source 87 target 82 type 2 ]
  edge [ source 286 target 82 type 2 ]
  edge [ source 287 target 82 type 2 ]
  edge [ source 308 target 82 type 2 ]
  edge [ source 345 target 82 type 2 ]
  edge [ source 382 target 82 type 3 ]
  edge [ source 388 target 82 type 2 ]
  edge [ source 87 target 88 type 2 ]
  edge [ source 287 target 88 type 2 ]
  edge [ source 382 target 88 type 2 ]
  edge [ source 283 target 90 type 1 ]
  edge [ source 345 target 90 type 2 ]
  edge [ source 94 target 94 type 2 ]
  edge [ source 95 target 94 type 1 ]
  edge [ source 96 target 97 type 2 ]
  edge [ source 109 target 109 type 2 ]
  edge [ source 290 target 111 type 1 ]
  edge [ source 291 target 111 type 1 ]
  edge [ source 290 target 113 type 1 ]
  edge [ source 114 target 114 type 2 ]
  edge [ source 115 target 114 type 2 ]
  edge [ source 400 target 114 type 2 ]
  edge [ source 401 target 114 type 2 ]
  edge [ source 116 target 119 type 1 ]
  edge [ source 117 target 119 type 2 ]
  edge [ source 118 target 119 type 2 ]
  edge [ source 203 target 119 type 2 ]
  edge [ source 395 target 119 type 2 ]
  edge [ source 122 target 123 type 1 ]
  edge [ source 123 target 123 type 1 ]
  edge [ source 120 target 127 type 1 ]
  edge [ source 197 target 127 type 1 ]
  edge [ source 200 target 127 type 1 ]
  edge [ source 131 target 136 type 1 ]
  edge [ source 132 target 136 type 1 ]
  edge [ source 135 target 136 type 1 ]
  edge [ source 137 target 136 type 1 ]
  edge [ source 140 target 136 type 1 ]
  edge [ source 141 target 136 type 1 ]
  edge [ source 142 target 136 type 1 ]
  edge [ source 132 target 137 type 1 ]
  edge [ source 133 target 137 type 1 ]
  edge [ source 134 target 137 type 1 ]
  edge [ source 135 target 137 type 1 ]
  edge [ source 137 target 137 type 1 ]
  edge [ source 138 target 137 type 1 ]
  edge [ source 139 target 137 type 1 ]
  edge [ source 140 target 137 type 1 ]
  edge [ source 141 target 137 type 1 ]
  edge [ source 142 target 137 type 1 ]
  edge [ source 264 target 137 type 1 ]
  edge [ source 367 target 137 type 1 ]
  edge [ source 381 target 137 type 1 ]
  edge [ source 5 target 143 type 1 ]
  edge [ source 16 target 143 type 1 ]
  edge [ source 24 target 143 type 1 ]
  edge [ source 44 target 143 type 1 ]
  edge [ source 56 target 143 type 1 ]
  edge [ source 73 target 143 type 2 ]
  edge [ source 76 target 143 type 2 ]
  edge [ source 86 target 143 type 1 ]
  edge [ source 89 target 143 type 1 ]
  edge [ source 121 target 143 type 1 ]
  edge [ source 143 target 143 type 2 ]
  edge [ source 144 target 143 type 1 ]
  edge [ source 146 target 143 type 1 ]
  edge [ source 172 target 143 type 1 ]
  edge [ source 200 target 143 type 1 ]
  edge [ source 202 target 143 type 2 ]
  edge [ source 272 target 143 type 1 ]
  edge [ source 273 target 143 type 1 ]
  edge [ source 276 target 143 type 2 ]
  edge [ source 280 target 143 type 1 ]
  edge [ source 285 target 143 type 2 ]
  edge [ source 351 target 143 type 2 ]
  edge [ source 369 target 143 type 1 ]
  edge [ source 1 target 148 type 2 ]
  edge [ source 7 target 148 type 2 ]
  edge [ source 147 target 148 type 2 ]
  edge [ source 202 target 148 type 1 ]
  edge [ source 309 target 148 type 1 ]
  edge [ source 318 target 148 type 3 ]
  edge [ source 326 target 148 type 2 ]
  edge [ source 150 target 151 type 1 ]
  edge [ source 151 target 151 type 1 ]
  edge [ source 60 target 154 type 2 ]
  edge [ source 110 target 154 type 2 ]
  edge [ source 123 target 154 type 2 ]
  edge [ source 124 target 154 type 2 ]
  edge [ source 125 target 154 type 2 ]
  edge [ source 126 target 154 type 2 ]
  edge [ source 128 target 154 type 2 ]
  edge [ source 154 target 154 type 2 ]
  edge [ source 357 target 154 type 2 ]
  edge [ source 374 target 154 type 2 ]
  edge [ source 155 target 156 type 2 ]
  edge [ source 157 target 156 type 2 ]
  edge [ source 157 target 157 type 2 ]
  edge [ source 255 target 157 type 2 ]
  edge [ source 159 target 158 type 2 ]
  edge [ source 160 target 160 type 2 ]
  edge [ source 162 target 160 type 3 ]
  edge [ source 162 target 161 type 2 ]
  edge [ source 165 target 164 type 1 ]
  edge [ source 169 target 169 type 3 ]
  edge [ source 171 target 169 type 3 ]
  edge [ source 267 target 169 type 1 ]
  edge [ source 172 target 175 type 2 ]
  edge [ source 173 target 175 type 2 ]
  edge [ source 174 target 175 type 2 ]
  edge [ source 176 target 175 type 2 ]
  edge [ source 108 target 181 type 2 ]
  edge [ source 180 target 181 type 2 ]
  edge [ source 182 target 181 type 2 ]
  edge [ source 187 target 188 type 1 ]
  edge [ source 188 target 188 type 2 ]
  edge [ source 1 target 190 type 1 ]
  edge [ source 57 target 190 type 2 ]
  edge [ source 58 target 190 type 3 ]
  edge [ source 92 target 190 type 1 ]
  edge [ source 107 target 190 type 1 ]
  edge [ source 144 target 190 type 1 ]
  edge [ source 165 target 190 type 1 ]
  edge [ source 171 target 190 type 3 ]
  edge [ source 190 target 190 type 2 ]
  edge [ source 191 target 190 type 2 ]
  edge [ source 197 target 190 type 1 ]
  edge [ source 200 target 190 type 1 ]
  edge [ source 272 target 190 type 1 ]
  edge [ source 273 target 190 type 1 ]
  edge [ source 285 target 190 type 2 ]
  edge [ source 290 target 190 type 2 ]
  edge [ source 291 target 190 type 3 ]
  edge [ source 292 target 190 type 2 ]
  edge [ source 295 target 190 type 2 ]
  edge [ source 314 target 190 type 1 ]
  edge [ source 357 target 190 type 2 ]
  edge [ source 369 target 190 type 1 ]
  edge [ source 192 target 192 type 1 ]
  edge [ source 56 target 193 type 2 ]
  edge [ source 136 target 193 type 1 ]
  edge [ source 137 target 193 type 1 ]
  edge [ source 193 target 193 type 2 ]
  edge [ source 278 target 193 type 1 ]
  edge [ source 294 target 193 type 1 ]
  edge [ source 332 target 193 type 1 ]
  edge [ source 365 target 193 type 2 ]
  edge [ source 197 target 197 type 2 ]
  edge [ source 422 target 198 type 1 ]
  edge [ source 1 target 203 type 2 ]
  edge [ source 5 target 203 type 2 ]
  edge [ source 204 target 204 type 1 ]
  edge [ source 205 target 207 type 1 ]
  edge [ source 207 target 207 type 2 ]
  edge [ source 212 target 213 type 1 ]
  edge [ source 216 target 215 type 2 ]
  edge [ source 218 target 219 type 1 ]
  edge [ source 222 target 222 type 2 ]
  edge [ source 307 target 222 type 2 ]
  edge [ source 333 target 222 type 2 ]
  edge [ source 334 target 222 type 2 ]
  edge [ source 347 target 222 type 2 ]
  edge [ source 363 target 222 type 2 ]
  edge [ source 366 target 222 type 2 ]
  edge [ source 393 target 222 type 2 ]
  edge [ source 396 target 222 type 2 ]
  edge [ source 397 target 222 type 2 ]
  edge [ source 398 target 222 type 2 ]
  edge [ source 399 target 222 type 2 ]
  edge [ source 162 target 227 type 1 ]
  edge [ source 178 target 227 type 1 ]
  edge [ source 206 target 227 type 1 ]
  edge [ source 211 target 227 type 3 ]
  edge [ source 223 target 227 type 2 ]
  edge [ source 224 target 227 type 2 ]
  edge [ source 227 target 227 type 2 ]
  edge [ source 231 target 227 type 2 ]
  edge [ source 290 target 227 type 2 ]
  edge [ source 291 target 227 type 1 ]
  edge [ source 293 target 227 type 2 ]
  edge [ source 294 target 227 type 1 ]
  edge [ source 350 target 227 type 2 ]
  edge [ source 352 target 227 type 1 ]
  edge [ source 365 target 227 type 1 ]
  edge [ source 228 target 229 type 1 ]
  edge [ source 229 target 229 type 2 ]
  edge [ source 369 target 229 type 1 ]
  edge [ source 233 target 233 type 2 ]
  edge [ source 238 target 233 type 2 ]
  edge [ source 232 target 237 type 1 ]
  edge [ source 234 target 237 type 1 ]
  edge [ source 235 target 237 type 1 ]
  edge [ source 236 target 237 type 1 ]
  edge [ source 239 target 237 type 1 ]
  edge [ source 145 target 241 type 1 ]
  edge [ source 153 target 241 type 1 ]
  edge [ source 241 target 241 type 2 ]
  edge [ source 277 target 241 type 1 ]
  edge [ source 357 target 241 type 1 ]
  edge [ source 423 target 241 type 1 ]
  edge [ source 245 target 246 type 1 ]
  edge [ source 246 target 246 type 2 ]
  edge [ source 247 target 251 type 2 ]
  edge [ source 248 target 251 type 2 ]
  edge [ source 249 target 251 type 2 ]
  edge [ source 251 target 251 type 2 ]
  edge [ source 252 target 251 type 2 ]
  edge [ source 179 target 252 type 1 ]
  edge [ source 247 target 252 type 1 ]
  edge [ source 250 target 252 type 1 ]
  edge [ source 252 target 252 type 2 ]
  edge [ source 256 target 257 type 1 ]
  edge [ source 237 target 258 type 2 ]
  edge [ source 240 target 258 type 2 ]
  edge [ source 317 target 258 type 2 ]
  edge [ source 318 target 258 type 2 ]
  edge [ source 259 target 259 type 1 ]
  edge [ source 260 target 261 type 2 ]
  edge [ source 265 target 265 type 2 ]
  edge [ source 163 target 267 type 2 ]
  edge [ source 267 target 267 type 2 ]
  edge [ source 325 target 267 type 1 ]
  edge [ source 268 target 269 type 2 ]
  edge [ source 306 target 269 type 2 ]
  edge [ source 168 target 270 type 3 ]
  edge [ source 240 target 270 type 2 ]
  edge [ source 270 target 270 type 2 ]
  edge [ source 271 target 270 type 2 ]
  edge [ source 7 target 274 type 2 ]
  edge [ source 56 target 274 type 2 ]
  edge [ source 86 target 274 type 2 ]
  edge [ source 89 target 274 type 2 ]
  edge [ source 121 target 274 type 1 ]
  edge [ source 144 target 274 type 2 ]
  edge [ source 146 target 274 type 2 ]
  edge [ source 272 target 274 type 1 ]
  edge [ source 273 target 274 type 1 ]
  edge [ source 280 target 274 type 1 ]
  edge [ source 284 target 274 type 1 ]
  edge [ source 285 target 274 type 1 ]
  edge [ source 375 target 274 type 2 ]
  edge [ source 278 target 279 type 1 ]
  edge [ source 5 target 282 type 1 ]
  edge [ source 7 target 282 type 1 ]
  edge [ source 13 target 282 type 1 ]
  edge [ source 14 target 282 type 1 ]
  edge [ source 18 target 282 type 1 ]
  edge [ source 64 target 282 type 1 ]
  edge [ source 92 target 282 type 1 ]
  edge [ source 149 target 282 type 1 ]
  edge [ source 210 target 282 type 1 ]
  edge [ source 275 target 282 type 1 ]
  edge [ source 278 target 282 type 1 ]
  edge [ source 294 target 282 type 1 ]
  edge [ source 296 target 282 type 1 ]
  edge [ source 312 target 282 type 1 ]
  edge [ source 67 target 292 type 1 ]
  edge [ source 68 target 292 type 1 ]
  edge [ source 118 target 292 type 2 ]
  edge [ source 136 target 292 type 2 ]
  edge [ source 290 target 292 type 1 ]
  edge [ source 291 target 292 type 3 ]
  edge [ source 10 target 298 type 1 ]
  edge [ source 92 target 298 type 1 ]
  edge [ source 183 target 298 type 1 ]
  edge [ source 210 target 298 type 1 ]
  edge [ source 298 target 298 type 2 ]
  edge [ source 299 target 299 type 2 ]
  edge [ source 302 target 304 type 1 ]
  edge [ source 303 target 304 type 1 ]
  edge [ source 304 target 304 type 1 ]
  edge [ source 305 target 304 type 1 ]
  edge [ source 316 target 304 type 1 ]
  edge [ source 314 target 315 type 1 ]
  edge [ source 62 target 324 type 2 ]
  edge [ source 71 target 324 type 2 ]
  edge [ source 162 target 324 type 2 ]
  edge [ source 170 target 324 type 2 ]
  edge [ source 179 target 324 type 2 ]
  edge [ source 185 target 324 type 2 ]
  edge [ source 313 target 324 type 2 ]
  edge [ source 319 target 324 type 2 ]
  edge [ source 320 target 324 type 2 ]
  edge [ source 321 target 324 type 2 ]
  edge [ source 322 target 324 type 2 ]
  edge [ source 323 target 324 type 2 ]
  edge [ source 324 target 324 type 2 ]
  edge [ source 327 target 324 type 2 ]
  edge [ source 328 target 324 type 2 ]
  edge [ source 360 target 324 type 2 ]
  edge [ source 411 target 324 type 2 ]
  edge [ source 325 target 325 type 2 ]
  edge [ source 329 target 330 type 2 ]
  edge [ source 149 target 331 type 1 ]
  edge [ source 331 target 331 type 1 ]
  edge [ source 403 target 331 type 1 ]
  edge [ source 336 target 337 type 1 ]
  edge [ source 337 target 337 type 1 ]
  edge [ source 338 target 337 type 1 ]
  edge [ source 41 target 339 type 1 ]
  edge [ source 153 target 339 type 1 ]
  edge [ source 155 target 339 type 2 ]
  edge [ source 208 target 339 type 1 ]
  edge [ source 241 target 339 type 1 ]
  edge [ source 243 target 339 type 1 ]
  edge [ source 277 target 339 type 1 ]
  edge [ source 357 target 339 type 1 ]
  edge [ source 409 target 339 type 1 ]
  edge [ source 410 target 339 type 1 ]
  edge [ source 412 target 339 type 1 ]
  edge [ source 423 target 339 type 1 ]
  edge [ source 341 target 342 type 2 ]
  edge [ source 342 target 342 type 2 ]
  edge [ source 70 target 344 type 1 ]
  edge [ source 84 target 344 type 1 ]
  edge [ source 98 target 344 type 1 ]
  edge [ source 99 target 344 type 1 ]
  edge [ source 100 target 344 type 1 ]
  edge [ source 101 target 344 type 1 ]
  edge [ source 102 target 344 type 1 ]
  edge [ source 103 target 344 type 1 ]
  edge [ source 104 target 344 type 1 ]
  edge [ source 105 target 344 type 1 ]
  edge [ source 106 target 344 type 1 ]
  edge [ source 130 target 344 type 1 ]
  edge [ source 196 target 344 type 1 ]
  edge [ source 214 target 344 type 1 ]
  edge [ source 226 target 344 type 1 ]
  edge [ source 244 target 344 type 1 ]
  edge [ source 281 target 344 type 1 ]
  edge [ source 297 target 344 type 1 ]
  edge [ source 335 target 344 type 1 ]
  edge [ source 343 target 344 type 1 ]
  edge [ source 344 target 344 type 1 ]
  edge [ source 345 target 344 type 1 ]
  edge [ source 355 target 344 type 1 ]
  edge [ source 394 target 344 type 1 ]
  edge [ source 406 target 344 type 1 ]
  edge [ source 61 target 345 type 1 ]
  edge [ source 91 target 345 type 1 ]
  edge [ source 184 target 345 type 1 ]
  edge [ source 189 target 345 type 1 ]
  edge [ source 194 target 345 type 1 ]
  edge [ source 195 target 345 type 1 ]
  edge [ source 201 target 345 type 1 ]
  edge [ source 225 target 345 type 1 ]
  edge [ source 262 target 345 type 1 ]
  edge [ source 263 target 345 type 1 ]
  edge [ source 46 target 346 type 1 ]
  edge [ source 85 target 346 type 1 ]
  edge [ source 120 target 346 type 1 ]
  edge [ source 127 target 346 type 1 ]
  edge [ source 169 target 346 type 1 ]
  edge [ source 171 target 346 type 1 ]
  edge [ source 197 target 346 type 1 ]
  edge [ source 199 target 346 type 1 ]
  edge [ source 267 target 346 type 1 ]
  edge [ source 288 target 346 type 1 ]
  edge [ source 314 target 346 type 1 ]
  edge [ source 349 target 346 type 1 ]
  edge [ source 422 target 346 type 1 ]
  edge [ source 348 target 349 type 2 ]
  edge [ source 358 target 358 type 2 ]
  edge [ source 359 target 358 type 1 ]
  edge [ source 2 target 359 type 1 ]
  edge [ source 145 target 359 type 1 ]
  edge [ source 153 target 359 type 1 ]
  edge [ source 277 target 359 type 1 ]
  edge [ source 357 target 359 type 1 ]
  edge [ source 359 target 359 type 2 ]
  edge [ source 423 target 359 type 1 ]
  edge [ source 362 target 362 type 2 ]
  edge [ source 369 target 369 type 1 ]
  edge [ source 369 target 370 type 1 ]
  edge [ source 375 target 376 type 1 ]
  edge [ source 376 target 376 type 2 ]
  edge [ source 377 target 378 type 2 ]
  edge [ source 36 target 380 type 2 ]
  edge [ source 37 target 380 type 2 ]
  edge [ source 266 target 380 type 2 ]
  edge [ source 379 target 380 type 2 ]
  edge [ source 380 target 380 type 2 ]
  edge [ source 34 target 385 type 2 ]
  edge [ source 35 target 385 type 2 ]
  edge [ source 37 target 385 type 2 ]
  edge [ source 38 target 385 type 2 ]
  edge [ source 266 target 385 type 1 ]
  edge [ source 383 target 385 type 2 ]
  edge [ source 384 target 385 type 3 ]
  edge [ source 385 target 385 type 2 ]
  edge [ source 390 target 389 type 1 ]
  edge [ source 392 target 391 type 2 ]
  edge [ source 392 target 401 type 2 ]
  edge [ source 401 target 401 type 2 ]
  edge [ source 404 target 405 type 1 ]
  edge [ source 407 target 408 type 1 ]
  edge [ source 408 target 408 type 1 ]
  edge [ source 7 target 413 type 1 ]
  edge [ source 12 target 413 type 1 ]
  edge [ source 13 target 413 type 3 ]
  edge [ source 31 target 413 type 1 ]
  edge [ source 32 target 413 type 1 ]
  edge [ source 33 target 413 type 1 ]
  edge [ source 45 target 413 type 1 ]
  edge [ source 220 target 413 type 1 ]
  edge [ source 221 target 413 type 1 ]
  edge [ source 230 target 413 type 1 ]
  edge [ source 253 target 413 type 1 ]
  edge [ source 254 target 413 type 1 ]
  edge [ source 283 target 413 type 1 ]
  edge [ source 299 target 413 type 1 ]
  edge [ source 300 target 413 type 1 ]
  edge [ source 301 target 413 type 1 ]
  edge [ source 310 target 413 type 1 ]
  edge [ source 311 target 413 type 1 ]
  edge [ source 312 target 413 type 1 ]
  edge [ source 351 target 413 type 1 ]
  edge [ source 353 target 413 type 1 ]
  edge [ source 354 target 413 type 1 ]
  edge [ source 371 target 413 type 1 ]
  edge [ source 372 target 413 type 1 ]
  edge [ source 386 target 413 type 1 ]
  edge [ source 402 target 413 type 1 ]
  edge [ source 413 target 413 type 2 ]
  edge [ source 416 target 415 type 2 ]
  edge [ source 421 target 417 type 2 ]
  edge [ source 85 target 418 type 1 ]
  edge [ source 86 target 418 type 1 ]
  edge [ source 146 target 418 type 1 ]
  edge [ source 419 target 420 type 1 ]
]
